Bug 1179058 - [abrt] 389-ds-base: strlen(): ldclt-bin killed by SIGSEGV
Summary: [abrt] 389-ds-base: strlen(): ldclt-bin killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: 389-ds-base
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rich Megginson
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:762981e0bed94cc002eed796fdc...
Depends On:
Blocks: 1229799
TreeView+ depends on / blocked
 
Reported: 2015-01-06 04:48 UTC by Marc Sauton
Modified: 2015-12-02 16:59 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1229799 (view as bug list)
Environment:
Last Closed: 2015-12-02 06:58:53 UTC


Attachments (Terms of Use)
File: backtrace (10.25 KB, text/plain)
2015-01-06 04:48 UTC, Marc Sauton
no flags Details
File: build_ids (820 bytes, text/plain)
2015-01-06 04:48 UTC, Marc Sauton
no flags Details
File: cgroup (190 bytes, text/plain)
2015-01-06 04:48 UTC, Marc Sauton
no flags Details
File: core_backtrace (1.26 KB, text/plain)
2015-01-06 04:49 UTC, Marc Sauton
no flags Details
File: dso_list (1.59 KB, text/plain)
2015-01-06 04:49 UTC, Marc Sauton
no flags Details
File: environ (4.57 KB, text/plain)
2015-01-06 04:49 UTC, Marc Sauton
no flags Details
File: exploitable (82 bytes, text/plain)
2015-01-06 04:49 UTC, Marc Sauton
no flags Details
File: limits (1.29 KB, text/plain)
2015-01-06 04:49 UTC, Marc Sauton
no flags Details
File: maps (8.49 KB, text/plain)
2015-01-06 04:49 UTC, Marc Sauton
no flags Details
File: open_fds (138 bytes, text/plain)
2015-01-06 04:49 UTC, Marc Sauton
no flags Details
File: proc_pid_status (940 bytes, text/plain)
2015-01-06 04:49 UTC, Marc Sauton
no flags Details
File: var_log_messages (189 bytes, text/plain)
2015-01-06 04:49 UTC, Marc Sauton
no flags Details

Description Marc Sauton 2015-01-06 04:48:48 UTC
Description of problem:
/usr/bin/ldclt -b "ou=people,dc=example,dc=com" -h 10.14.7.222 -p 3893 -w password -e esearch,randombinddn,randombinddnlow=10,randombinddnhigh=99,randomattrlist=cn:sn:uid:ou:telephoneNumber:facsimileTelephoneNumber:mobile:roomNumber  -n 100 -I 32 -r 1 -R 9999 -f "uid=guestXX" -s subtree
ldclt version 4.23
/usr/bin/ldclt: line 55: 30583 Segmentation fault      (core dumped) ${dir}/${COMMAND} "$@"


and
#0  strlen () at ../sysdeps/x86_64/strlen.S:106
#1  0x00007fed5d98b480 in parseFilter (src=0x0, head=0x7fed5db9cba8 <mctx+488>, tail=0x7fed5db9cbb0 <mctx+496>, ndigits=0x7fed5db9cba0 <mctx+480>) at ldap/servers/slapd/tools/ldclt/ldclt.c:1225
#2  0x00007fed5d98bcc9 in basicInit () at ldap/servers/slapd/tools/ldclt/ldclt.c:1441
#3  0x00007fed5d982876 in main (argc=26, argv=0x7fff70d59d28) at ldap/servers/slapd/tools/ldclt/ldclt.c:3169

up

(gdb) p *src
Cannot access memory at address 0x0

1220    parseFilter (
1221            char     *src,
1222            char    **head,
1223            char    **tail,
1224            int      *ndigits)
1225    {
1226      int    i, j;
1227
1228      for (i=0 ; (i<strlen(src)) && (src[i]!='X') ; i++);
1229      *head = (char *)malloc(i+1);

Version-Release number of selected component:
389-ds-base-1.3.3.5-1.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/bin/ldclt-bin -h 10.14.7.222 -p 3893 -s subtree -b ou=people,dc=exmaple,dc=com -e randombinddn randombinddnlow=1000 randombinddnhigh=9999 -e random esearch -r 1 -R 9999 -e randomattrlist=cn:sn:uid:ou:telephoneNumber:facsimileTelephoneNumber:mobile:roomNumber:carLicense:displayName:givenName:initials:title:departmentNumber:employeeNumber:employeeType:preferredLanguage -n 2 -I 32 -q -f uid=guestXXXX
crash_function: strlen
executable:     /usr/bin/ldclt-bin
kernel:         3.17.6-300.fc21.x86_64
runlevel:       N 3
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (3 frames)
 #0 strlen at ../sysdeps/x86_64/strlen.S:106
 #1 parseFilter at ldap/servers/slapd/tools/ldclt/ldclt.c:1225
 #2 basicInit at ldap/servers/slapd/tools/ldclt/ldclt.c:1441

Comment 1 Marc Sauton 2015-01-06 04:48:53 UTC
Created attachment 976697 [details]
File: backtrace

Comment 2 Marc Sauton 2015-01-06 04:48:55 UTC
Created attachment 976698 [details]
File: build_ids

Comment 3 Marc Sauton 2015-01-06 04:48:59 UTC
Created attachment 976699 [details]
File: cgroup

Comment 4 Marc Sauton 2015-01-06 04:49:04 UTC
Created attachment 976700 [details]
File: core_backtrace

Comment 5 Marc Sauton 2015-01-06 04:49:05 UTC
Created attachment 976701 [details]
File: dso_list

Comment 6 Marc Sauton 2015-01-06 04:49:07 UTC
Created attachment 976702 [details]
File: environ

Comment 7 Marc Sauton 2015-01-06 04:49:07 UTC
Created attachment 976703 [details]
File: exploitable

Comment 8 Marc Sauton 2015-01-06 04:49:08 UTC
Created attachment 976704 [details]
File: limits

Comment 9 Marc Sauton 2015-01-06 04:49:09 UTC
Created attachment 976705 [details]
File: maps

Comment 10 Marc Sauton 2015-01-06 04:49:11 UTC
Created attachment 976706 [details]
File: open_fds

Comment 11 Marc Sauton 2015-01-06 04:49:13 UTC
Created attachment 976707 [details]
File: proc_pid_status

Comment 12 Marc Sauton 2015-01-06 04:49:16 UTC
Created attachment 976708 [details]
File: var_log_messages

Comment 14 Fedora End Of Life 2015-11-04 15:50:01 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2015-12-02 06:58:59 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.